Name:                perl-Class-ISA
Version:             0.36
Release:             0
Summary:             A class's ISA tree to report the search path
License:             GPL+ or Artistic
URL:                 https://metacpan.org/release/Class-ISA
Source0:             https://cpan.metacpan.org/authors/id/S/SM/SMUELLER/Class-ISA-%{version}.tar.gz

BuildArch:           noarch

BuildRequires:       perl-generators perl(ExtUtils::MakeMaker) perl(Test)
Requires:            perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Perl-Class-ISA is a Class's ISA tree to report the search path.It provides functions
that return the list (in order) of names of(super-)classes Perl would search to
find a method, with no duplicates.

%prep
%autosetup -n Class-ISA-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc ChangeLog README
%{perl_vendorlib}/*
%exclude %{_mandir}/man3/*
%exclude %{_libdir}/perl5/vendor_perl/auto/Class/ISA/.packlist

%changelog
* Wed Apr 22 2020 leiju <leiju4@huawei.com> - 0.36-0
- Package init
